<?php
require_once('_lang.php');
require_once('_config.php');
require_once('_funcs.php');

$edit_login = false;
$str_info = '';

start_session();

$row = false;
$lid = 0;

if (!isset($_SESSION) or (isset($_SESSION['ll']['ll_login']) and isset($_SESSION['ll']['ll_password'])) or (isset($_SESSION['ll']['ll_edit_ulogin']) and isset($_SESSION['ll']['ll_edit_upassword']) and isset($_SESSION['ll']['ll_edit_uid']))) {
	$edit_login = true;
	if (isset($_SESSION['ll']['try_count_edit'])) unset($_SESSION['ll']['try_count_edit']);
	if (isset($_REQUEST['l'])) {
		$lid = intval($_REQUEST['l']);
		$_SESSION['ll']['lid'] = $lid;
	} elseif (!isset($_SESSION['ll']['lid'])) {
		header('Location: '.$self_path);
		exit;
	}
} else {
	if (isset($_POST['tf_edit_login']) and isset($_POST['tf_edit_password']) and isset($_SERVER['HTTP_REFERER']) and stristr($_SERVER['HTTP_REFERER'], $_SERVER['HTTP_HOST']) !== false) {
		$l = trim(strip_tags($_POST['tf_edit_login']));
		$p = trim(strip_tags($_POST['tf_edit_password']));
		if (($uid = is_user_exists($l, $p)) !== false) {
			$_SESSION['ll']['ll_edit_ulogin'] = $l;
			$_SESSION['ll']['ll_edit_upassword'] = $p;
			$_SESSION['ll']['ll_edit_uid'] = $uid;
			$_SESSION['ll']['ll_edit_uemail'] = get_user_email($uid);
			header('Location: '.$self_path);
			exit;
		} else {
			$str_info = $lr[18];
		}
	}
	if (!isset($_SESSION['ll']['try_count_edit'])) {
		$_SESSION['ll']['try_count_edit'] = 0;
	} else {
		$_SESSION['ll']['try_count_edit']++;
	}
	if ($_SESSION['ll']['try_count_edit'] > 2) {
		session_unset();
		session_destroy();
		header('Location: '.$self_path);
		exit;
	}
}

$str_info = '';

$li_utopicselect = 0;
$ll_ulink = '';
$ll_ureturnlink = '';
$ll_utitle = '';
$ll_uinformation = '';
$ll_ubanner = '';
$ll_uaddpage = '';

if (isset($_POST['btn_edit']) and isset($_SERVER['HTTP_REFERER']) and stristr($_SERVER['HTTP_REFERER'], $_SERVER['HTTP_HOST']) !== false) {
	if (isset($_POST['li_topic_select'])) $li_utopicselect = intval($_POST['li_topic_select']);
	if (isset($_POST['ll_ulink'])) $ll_ulink = check_str(strtolower(strip_tags($_POST['ll_ulink'])));
	if ($ll_ulink) {
		if ($h = @parse_url($ll_ulink)) {
			$ll_ulink = 'http://'.$h['host'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if (isset($_POST['ll_ureturnlink'])) $ll_ureturnlink = check_str(strtolower(strip_tags($_POST['ll_ureturnlink'])));
	if ($ll_ureturnlink) {
		if ($h = @parse_url($ll_ureturnlink)) {
			$ll_ureturnlink = 'http://'.$h['host'];
			if (isset($h['path']) and $h['path']) $ll_ureturnlink .= $h['path'];
			if (isset($h['query']) and $h['query']) $ll_ureturnlink .= '?'.$h['query'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if (isset($_POST['ll_utitle'])) $ll_utitle = check_str(strip_tags($_POST['ll_utitle']));
	if (isset($_POST['ll_uinformation'])) $ll_uinformation = check_str(strip_tags($_POST['ll_uinformation'], '<b>, <strong>, <i>, <br>'));
	$ll_uinformation = ll_textarea_to_str($ll_uinformation);
	if (isset($_POST['ll_ubanner'])) $ll_ubanner = check_str(strip_tags($_POST['ll_ubanner'], '<a>, <img>, <b>, <strong>, <i>'));
	$ll_ubanner = ll_textarea_to_str($ll_ubanner);
	if (isset($_POST['ll_uaddpage'])) $ll_uaddpage = check_str(strtolower(strip_tags($_POST['ll_uaddpage'])));
	if ($ll_uaddpage) {
		if ($h = @parse_url($ll_uaddpage)) {
			$ll_uaddpage = 'http://'.$h['host'];
			if (isset($h['path']) and $h['path']) $ll_uaddpage .= $h['path'];
			if (isset($h['query']) and $h['query']) $ll_uaddpage .= '?'.$h['query'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if ($li_utopicselect < 1 or $ll_ulink == '' or $ll_utitle == '' or $ll_uinformation == '') {
		$str_info = $lr[27];
	} elseif (!ll_check_link($ll_ulink)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_ulink) > 100) {
		$str_info = $lr[89];
	} elseif ($ll_ureturnlink and !ll_check_link($ll_ureturnlink)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_ureturnlink) > 100) {
		$str_info = $lr[89];
	} elseif ($ll_uaddpage and !ll_check_link($ll_uaddpage)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_uaddpage) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_utitle) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_uinformation) > 500) {
		$str_info = $lr[69];
	} elseif (strlen($ll_ubanner) > 500) {
		$str_info = $lr[70];
	}
	if ($str_info == '' and $_SESSION['ll']['lid']) {
		/* */
		$sql = "update ll_links set topic_id=$li_utopicselect, title='".ll_add_slashes($ll_utitle)."', link='".ll_add_slashes($ll_ulink)."', return_link='".ll_add_slashes($ll_ureturnlink)."', information='".ll_add_slashes($ll_uinformation)."', banner='".ll_add_slashes($ll_ubanner)."', add_page='".ll_add_slashes($ll_uaddpage)."' where id=".intval($_SESSION['ll']['lid']);
		ll_mysql_query($sql);
		$str_info = '<span style="color: #009900;">'.$lr[85].'</span>';
	}
} elseif ($edit_login) {
	$sql = "select * from ll_links where id=$lid";
	$rs = ll_mysql_query($sql);
	if (mysql_num_rows($rs)) {
		$row = mysql_fetch_array($rs);
		$li_utopicselect = intval($row['topic_id']);
		$ll_ulink = ll_strip_slashes($row['link']);
		$ll_ureturnlink = ll_strip_slashes($row['return_link']);
		$ll_utitle = ll_strip_slashes($row['title']);
		$ll_uinformation = ll_strip_slashes($row['information']);
		$ll_ubanner = ll_strip_slashes($row['banner']);
		$ll_uaddpage = ll_strip_slashes($row['add_page']);
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<title><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[15]); ?></title>
<meta name="robots" content="none" />
<meta name="robots" content="noindex, nofollow" />
<link rel="stylesheet" type="text/css" href="css/llstyle.css" />
</head>

<body <?php if (!$edit_login) echo 'onload="javascript: document.getElementById(\'tf_edit_login\').focus();"'; ?>>
<?php if (!$edit_login) { ?>
<form action="" method="post" enctype="multipart/form-data" name="form_login" target="_self" id="form_login" style="margin-top: 100px; margin-bottom: 30px;">
	<table align="center" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan="2" align="center" style="border: none; padding-top: 10px; padding-bottom: 10px;"><h2><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]); ?></h2></td>
		</tr>
		<tr>
			<td align="right"><?php echo $lr[16]; ?></td>
			<td><input name="tf_edit_login" type="text" id="tf_edit_login" /></td>
		</tr>
		<tr>
			<td align="right"><?php echo $lr[17]; ?></td>
			<td><input name="tf_edit_password" type="password" id="tf_edit_password" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><input name="btn_edit_login" type="submit" id="btn_edit_login" value=" <?php echo $lr[15]; ?> " /></td>
		</tr>
	</table>
</form>
<div style="text-align: center; font-weight: bold; color:#FF0099;"><?php echo $str_info; ?></div>
<?php } else { ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td colspan="2" style="border: none;">
			<?php
			$href = $self_path;
			if (isset($_REQUEST['rp'])) {
				$href = ll_decode($_REQUEST['rp']);
			}
			echo '<a href="'.$href.'">'.$lr[12].'</a>';
			?>
		</td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 10px; padding-bottom: 10px;"><h2><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]); ?></h2></td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 10px; padding-bottom: 20px;"><?php echo '<h2>'.$lr[58].'</h2>'; if ($str_info) echo '<div style="text-align: center; font-weight: bold; color:#FF0099;">'.$str_info.'</div>'; ?></td>
	</tr>
	<tr>
		<td align="center"><form action="" method="post" enctype="multipart/form-data" name="form_link_edit" target="_self" id="form_link_edit">
			<table width="0%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td align="right" valign="middle"><?php echo $lr[30]; ?>*</td>
					<td align="left" valign="middle"><?php echo build_topics_for_select($li_utopicselect); ?></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[21]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_ulink" type="text" id="ll_ulink" style="width: 400px;" value="<?php echo $ll_ulink; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[22]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_utitle" type="text" id="ll_utitle" style="width: 400px;" value="<?php echo $ll_utitle; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[23]; ?>*<br />(<?php echo strtolower($lr[47]); ?>)</td>
					<td align="left" valign="middle"><textarea name="ll_uinformation" rows="5" id="ll_uinformation" style="width: 400px;"><?php echo ll_str_to_textarea($ll_uinformation); ?></textarea></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[24]; ?>&nbsp;<br />(<?php echo strtolower($lr[47]); ?>)</td>
					<td align="left" valign="middle"><textarea name="ll_ubanner" rows="5" id="ll_ubanner" style="width: 400px;"><?php echo ll_str_to_textarea($ll_ubanner); ?></textarea></td>
				</tr>
				<tr>
					<td align="left" valign="middle">&nbsp;</td>
					<td align="left" valign="middle" class="text_medium" style="padding-bottom: 10px; font-style: italic; color: #999999;"><?php echo strtolower($lr[26]); ?></td>
				</tr>
				<?php if (!isset($_SESSION['ll']['ll_login'])) { ?>
				<tr>
					<td align="left" valign="middle">&nbsp;</td>
					<td align="left" valign="middle" class="text_medium" style="padding-bottom: 10px; color:#FF0000;"><div style="width: 400px;"><?php echo $lr[42]; ?></div></td>
					</tr>
				<tr>
					<td align="right" valign="middle">&nbsp;</td>
					<td align="left" valign="middle"><div style="width: 400px;"><?php echo sprintf($lr[51], '_mydata.php', $_SERVER['HTTP_HOST']); ?></div></td>
				</tr>
				<?php } ?>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[14]; ?>&nbsp;</td>
					<td align="left" valign="middle"><input name="ll_ureturnlink" type="text" id="ll_ureturnlink" style="width: 400px;" value="<?php echo $ll_ureturnlink; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle" style="padding-bottom: 20px;"><?php echo $lr[49]; ?>&nbsp;</td>
					<td align="left" valign="middle" style="padding-bottom: 20px;"><input name="ll_uaddpage" type="text" id="ll_uaddpage" style="width: 400px;" value="<?php echo $ll_uaddpage; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle">&nbsp;</td>
					<td align="left" valign="middle"><input name="btn_edit" type="submit" id="btn_edit" value="<?php echo $lr[10]; ?>" />
						<input name="btn_clear" type="reset" id="btn_clear" value="<?php echo $lr[25]; ?>" style="margin-left: 40px;" /></td>
				</tr>
			</table>
				</form>
		</td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 20px; padding-bottom: 20px;"><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]).'<br /><br /><span style="color: #CCCCCC; font-size: 80%;">copyright &copy; 2008&#8211;'.date('Y').' elo</span>'; ?></td>
	</tr>
</table>
<?php } ?>
</body>
</html>
