<?php
require_once('_lang.php');
require_once('_config.php');
require_once('_funcs.php');

start_session();

if (isset($_SESSION['ll']['lid'])) unset($_SESSION['ll']['lid']);

global $cur_topic_id;
$cur_topic_id = 0;
if (isset($_REQUEST['t'])) $cur_topic_id = intval($_REQUEST['t']);
if ($cur_topic_id < 0) {
	session_unset();
	session_destroy();
	header('Location: '.$self_path);
	exit;
}
global $cur_page;
$cur_page = 0;
if (isset($_REQUEST['p'])) $cur_page = intval($_REQUEST['p']);
global $cur_link;
$cur_link = 0;
if (isset($_REQUEST['l'])) $cur_link = intval($_REQUEST['l']);
if (isset($_REQUEST['q_clear']) and $_REQUEST['q_clear']) {
	$_SESSION['ll']['links_filter'] = '';
} elseif (isset($_REQUEST['q']) and $_REQUEST['q']) {
	$_SESSION['ll']['links_filter'] = $_REQUEST['q'];
} elseif (isset($_REQUEST['btn_find_text']) and (!isset($_REQUEST['q']) or !$_REQUEST['q'])) {
	$_SESSION['ll']['links_filter'] = '';
} else {
	if (!isset($_SESSION['ll']['links_filter'])) $_SESSION['ll']['links_filter'] = '';
}

if (isset($_POST['user_delete_link']) and isset($_POST['user_delete_link_id']) and isset($_SESSION)and isset($_SESSION['ll']['ll_edit_uid'])) {
	$sql = "delete from ll_links where id='".intval($_POST['user_delete_link_id'])."'";
	ll_mysql_query($sql);
}

$page_title = '';
if ($cur_topic_id > 0) {
	$page_title .= html_entity_decode(strip_tags(trim(get_topic_full_title($cur_topic_id))));
	if ($page_title) $page_title = str_replace('&rarr;', '-', $page_title);
}
if ($cur_link > 0) {
	$clt = html_entity_decode(strip_tags(trim(get_link_url($cur_link))));
	if ($clt) {
		if ($page_title) $page_title .= ' ';
		$page_title .= '['.$clt.']';
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<title><?php echo $vername.' v'.$vernum.' '.strtolower($lr[0]);  if ($page_title) echo ': '.$page_title; ?></title>
<meta name="robots" content="all" />
<meta name="robots" content="index, follow" />
<link rel="stylesheet" type="text/css" href="css/llstyle.css" />
</head>

<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="site_list">
	<tr valign="top">
		<td colspan="2" style="border: none; height: 100px; background: url(images/banner.jpg) 0% 0% no-repeat; padding-left: 70px;">
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="site_list_title">
				<tr>
					<td align="left" valign="middle" style="border: none; vertical-align: middle; padding: 0px;"><a href="<?php echo $self_path.'_add.php'; ?>"><?php echo $lr[4]; ?></a> | <?php if (isset($_SESSION['ll']['ll_edit_uid'])) { echo '<a rel="nofollow" href="'.$self_path.'?t=-1">'.$lr[12].'</a> | '; } else { echo '<a rel="nofollow" href="'.$self_path.'_edit.php">'.$lr[15].'</a> | '; } ?><a rel="nofollow" href="<?php echo $self_path.'_login.php'; ?>"><?php echo $lr[3]; ?></a></td>
					<td align="right" valign="middle" style="border: none; vertical-align: middle; padding: 0px;"><a href="http://www.dexsoft.ru" target="_blank"><img src="images/dexsoft.png" alt="Practical developers (dexSoft)" border="0" /></a></td>
				</tr>
				<tr>
					<td colspan="2" style="padding: 5px 70px 0px 70px;"><h2><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]); ?></h2>
				</td>
				<tr>
					<td colspan="2" nowrap="nowrap" style="padding: 5px 0px 0px 70px;"><form action="" method="post" enctype="multipart/form-data" name="form_find" target="_self" id="form_find">
						<input name="q" type="text" id="q" value="<?php echo ll_strip_slashes($_SESSION['ll']['links_filter']); ?>" />
						<input name="btn_find_text" type="submit" id="btn_find_text" value="<?php echo $lr[93]; ?>" />
						<input name="btn_find_clear" type="button" id="btn_find_clear" value="<?php echo $lr[25]; ?>" onclick="javascript: document.getElementById('q_clear').value = 1; this.form.submit();" />
						<input name="q_clear" type="hidden" id="q_clear" value="" />
					</form>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr align="center" bgcolor="#FFFFCC">
		<td valign="top"><h2><?php echo $lr[1]; ?></h2></td>
		<td align="left" valign="top" style="padding-left: 20px;"><h2><?php echo $lr[2]; if (isset($_SESSION['ll']['ll_edit_ulogin'])) echo ' ['.strtolower($lr[57]).' '.$_SESSION['ll']['ll_edit_ulogin'].']'; ?></h2></td>
	</tr>
	<tr>
		<td valign="top" style="padding-top: 10px; padding-bottom: 10px;"><?php $s = build_topics_tree(); echo ($s) ? $s : '&nbsp;'; ?></td>
		<td width="100%" valign="top" style="padding-top: 10px; padding-right: 10px; padding-bottom: 10px;"><?php $s = build_links_list(); echo ($s) ? $s : '&nbsp;'; ?></td>
	</tr>
	<tr valign="top">
		<td colspan="2" align="center" style="border: none; padding-top: 20px;"><a href="<?php echo $self_path.'_add.php'; ?>"><?php echo $lr[4]; ?></a></td>
	</tr>
	<tr valign="top">
		<td colspan="2" align="center" style="border: none; padding-top: 20px; padding-bottom: 20px;"><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]).'<br /><br /><span style="color: #CCCCCC; font-size: 80%;">copyright &copy; 2008&#8211;'.date('Y').' elo</span>'; ?></td>
	</tr>
</table>
</body>
</html>
